/*
 *    SAM-QFS_notice_begin
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at pkg/OPENSOLARIS.LICENSE
 * or https://illumos.org/license/CDDL.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at pkg/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */
/*
 * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 *
 *    SAM-QFS_notice_end
 */

// ident	$Id: SamFSException.java,v 1.12 2008/12/16 00:08:53 am143972 Exp $

package com.sun.netstorage.samqfs.mgmt;


public class SamFSException extends java.lang.Exception {

    public final static int DEFAULT_ERROR_NO = -10;

    /* this must match SE_LIBRARY_NOT_INITIALIZED in pub/mgmt/error.h */
    public final static int SAMLIB_NOT_INITIALIZED	= 30107;
    public final static int NOT_FOUND			= 30132;
    /* only used when talking to a 4.3 server. must match error.h */
    public final static int EQU_ORD_IN_USE		= 31116;

    /*
     * error numbers corresponding to errors detected locally.
     * coressponding localized error messages need to generated by upper layer
     * use range -4000 to -5000
     */
    public final static int INCOMPAT_VERSIONS = -4001;

    private int samerrno = DEFAULT_ERROR_NO;

    public int getSAMerrno() {
	return samerrno;
    }

    /**
     * Creates a new instance of <code>SamFSException</code>
     * without detail message.
     */
    public SamFSException() {
    }

    public SamFSException(String msg, Throwable t) {
	super(msg, t);
    }

    public SamFSException(String msg) {
        this(msg, DEFAULT_ERROR_NO);
    }

    /**
     * Constructs an instance of <code>SamFSException</code> with the
     * specified detail message and error number.
     * @param msg the detail message.
     */
    public SamFSException(String msg, int samerrno) {
        super(msg);
        this.samerrno = samerrno;
    }

    protected SamFSException(int errno) {
        this.samerrno = errno;
    }

}
